Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.maven
Enum ArtifactType

    java.lang.Object
      java.lang.Enum<ArtifactType>
          org.modeshape.maven.ArtifactType

All Implemented Interfaces:
  Serializable, Comparable<ArtifactType>

    public enum ArtifactType

extends Enum<ArtifactType>

The type of artifacts in a Maven 2 repository.

Enum Constant Summary
`JAR`
`METADATA`
`POM`
`SOURCE`

Method Summary
`String` | `getSuffix()`
`static ArtifactType` | `valueBySuffix(String suffix)`
`static ArtifactType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArtifactType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METADATA

    public static final ArtifactType METADATA

### JAR

    public static final ArtifactType JAR

### SOURCE

    public static final ArtifactType SOURCE

### POM

    public static final ArtifactType POM

Method Detail

### values

    public static ArtifactType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ArtifactType c : ArtifactType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ArtifactType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getSuffix

    public String getSuffix()

### valueBySuffix

    public static ArtifactType valueBySuffix(String suffix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.